| Unuk 1.0

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
src/libUnuk/Input.h File Reference
`#include <SDL/SDL.h>`

Go to the source code of this file.

## Classes
struct | mouse_s
struct | keyboard_s
struct | input_s
## Typedefs
typedef struct mouse_s | mouse_t
typedef struct keyboard_s | keyboard_t
typedef struct input_s | input_t
## Functions
bool | CreateInput (void)
void | UpdateInput (void)
char | GetKey (void)
unsigned int | GetX (void)
unsigned int | GetY (void)
unsigned int | GetOldX (void)
unsigned int | GetOldY (void)
unsigned int | GetMods (void)
bool | KeyDown (int index)
bool | KeyStillDown (int index)
bool | KeyUp (int index)
bool | KeyStillUp (int index)
bool | MouseDown (int button)
bool | MouseStillDown (int button)
bool | MouseUp (int button)
bool | MouseStillUp (int button)
void | DestroyInput (void)

## Typedef Documentation

typedef struct input_s input_t

typedef struct keyboard_s keyboard_t

typedef struct mouse_s mouse_t

## Function Documentation

bool CreateInput | ( | void |  | ) |

Definition at line 23 of file Input.cpp.

void DestroyInput | ( | void |  | ) |

Definition at line 79 of file Input.cpp.

char GetKey | ( | void |  | ) |

Definition at line 59 of file Input.cpp.

unsigned int GetMods | ( | void |  | ) |

Definition at line 69 of file Input.cpp.

unsigned int GetOldX | ( | void |  | ) |

Definition at line 67 of file Input.cpp.

unsigned int GetOldY | ( | void |  | ) |

Definition at line 68 of file Input.cpp.

unsigned int GetX | ( | void |  | ) |

Definition at line 65 of file Input.cpp.

unsigned int GetY | ( | void |  | ) |

Definition at line 66 of file Input.cpp.

bool KeyDown | ( | int | index | ) |

Definition at line 70 of file Input.cpp.

bool KeyStillDown | ( | int | index | ) |

Definition at line 71 of file Input.cpp.

bool KeyStillUp | ( | int | index | ) |

Definition at line 73 of file Input.cpp.

bool KeyUp | ( | int | index | ) |

Definition at line 72 of file Input.cpp.

bool MouseDown | ( | int | button | ) |

Definition at line 74 of file Input.cpp.

bool MouseStillDown | ( | int | button | ) |

Definition at line 75 of file Input.cpp.

bool MouseStillUp | ( | int | button | ) |

Definition at line 77 of file Input.cpp.

bool MouseUp | ( | int | button | ) |

Definition at line 76 of file Input.cpp.

void UpdateInput | ( | void |  | ) |

Definition at line 37 of file Input.cpp.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines